GreatWksDBParserInternal::BlockHeader Struct Reference

a big zone header of a GreatWksDBParser More...

## Public Member Functions
| BlockHeader ()
| constructor
bool | isEmpty () const
| returns true if the block is empty
bool | isComplex () const
| returns true if the entry has many block

## Public Attributes
long | m_ptr [3]
| the list of pointer: first, next, end?
std::string | m_name
| the block name

## Friends
std::ostream & | operator<< (std::ostream &o, BlockHeader const &entry)
| operator<<

## Detailed Description

a big zone header of a GreatWksDBParser

## Constructor & Destructor Documentation

## ◆ BlockHeader()

GreatWksDBParserInternal::BlockHeader::BlockHeader | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ isComplex()

bool GreatWksDBParserInternal::BlockHeader::isComplex | ( |  | ) | const
| inline

returns true if the entry has many block

Referenced by operator<<.

## ◆ isEmpty()

bool GreatWksDBParserInternal::BlockHeader::isEmpty | ( |  | ) | const
| inline

returns true if the block is empty

Referenced by GreatWksDBParserInternal::Field::operator<<, and GreatWksDBParser::readFieldRecords().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | BlockHeader const & | entry )
| friend

operator<<

## Member Data Documentation

## ◆ m_name

std::string GreatWksDBParserInternal::BlockHeader::m_name

the block name

Referenced by BlockHeader(), operator<<, and GreatWksDBParser::readHeader().

## ◆ m_ptr

long GreatWksDBParserInternal::BlockHeader::m_ptr[3]

the list of pointer: first, next, end?

Referenced by BlockHeader(), GreatWksDBParser::checkHeader(), GreatWksDBParser::createBlock(), isComplex(), isEmpty(), operator<<, GreatWksDBParser::readBlockHeader(), and GreatWksDBParser::readHeader().

The documentation for this struct was generated from the following file:

- GreatWksDBParser.cxx